Package org.jbpm.services.ejb.impl.store

## Class DeploymentSynchronizerEJBImpl

- java.lang.Object
- - org.jbpm.kie.services.impl.store.DeploymentSynchronizer
  - - org.jbpm.services.ejb.impl.store.DeploymentSynchronizerEJBImpl

- All Implemented Interfaces:
    `DeploymentEventListener`

      public class DeploymentSynchronizerEJBImpl
      extends DeploymentSynchronizer

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.kie.services.impl.store.DeploymentSynchronizer

      `DEPLOY_SYNC_ENABLED, DEPLOY_SYNC_INTERVAL, targetExceptionClass`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DeploymentSynchronizerEJBImpl()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `configure()` |
    `void` | `setCommandService​(TransactionalCommandService commandService)` |
    `void` | `setDeploymentService​(DeploymentService deploymentService)` |
    `void` | `shutdown()` |
    `void` | `synchronize()` |

    - ### Methods inherited from class org.jbpm.kie.services.impl.store.DeploymentSynchronizer

      `clear, isActive, isCausedByConstraintViolation, onActivate, onDeactivate, onDeploy, onUnDeploy, setDeploymentStore`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DeploymentSynchronizerEJBImpl

          public DeploymentSynchronizerEJBImpl()

  - ### Method Detail

    - #### configure

          @PostConstruct
          public void configure()

    - #### shutdown

          @PreDestroy
          public void shutdown()

    - #### setDeploymentService

          public void setDeploymentService​(DeploymentService deploymentService)

      Overrides:
        `setDeploymentService` in class `DeploymentSynchronizer`

    - #### setCommandService

          public void setCommandService​(TransactionalCommandService commandService)

    - #### synchronize

          public void synchronize()

      Overrides:
        `synchronize` in class `DeploymentSynchronizer`